net.i2p.router

## Interface PeerManagerFacade

- All Superinterfaces:
    Service
  All Known Implementing Classes:
    DummyPeerManagerFacade, PeerManagerFacadeImpl

      public interface PeerManagerFacade
      extends Service

  Manage peer references and keep them up to date so that when asked for peers, it can provide appropriate peers according to the criteria provided. This includes periodically queueing up outbound messages to the peers to test them.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Hash>` | `getPeersByCapability(char capability)`
    `void` | `removeCapabilities(Hash peer)`
    `List<Hash>` | `selectPeers(PeerSelectionCriteria criteria)` Select peers from the manager's existing routing tables according to the specified criteria.
    `Hash` | `selectRandomByCapability(char capability)`
    `void` | `setCapabilities(Hash peer, String caps)`

    - ### Methods inherited from interface net.i2p.router.Service

      `renderStatusHTML, restart, shutdown, startup`

- - ### Method Detail

    - #### selectPeers

          List<Hash> selectPeers(PeerSelectionCriteria criteria)

      Select peers from the manager's existing routing tables according to the specified criteria. This call DOES block.
      Returns:
        List of Hash objects of the RouterIdentity for matching peers

    - #### getPeersByCapability

          List<Hash> getPeersByCapability(char capability)

    - #### setCapabilities

          void setCapabilities(Hash peer,
                             String caps)

    - #### removeCapabilities

          void removeCapabilities(Hash peer)

    - #### selectRandomByCapability

          Hash selectRandomByCapability(char capability)